# Facebook Marketing

## How to connect to Facebook Marketing?

You can follow the following steps to build a connection with your Facebook Marketing. If you need any help in setting up your integration, please [contact us](/master.md#how-to-contact-us).

1. Navigate to [Meta for Developers](https://developers.facebook.com/apps/) and [create an app](https://developers.facebook.com/docs/development/create-an-app/) with the app type Business.
2. From your App’s dashboard, [setup the Marketing API](https://developers.facebook.com/docs/marketing-apis/get-started).
3. Generate a Marketing API access token: From your App’s Dashboard, click **Marketing API** --> **Tools**. Select all the available token permissions (`ads_management`, `ads_read`, `read_insights`, `business_management`) and click **Get token**. Copy the generated token for later use.
4. Request a rate increase limit: Facebook [heavily throttles](https://developers.facebook.com/docs/marketing-api/overview/authorization#limits) API tokens generated from Facebook Apps with the "Standard Access" tier (the default tier for new apps), making it infeasible to use the token for syncs with Airbyte. You'll need to request an upgrade to Advanced Access for your app on the following permissions:

   * Ads Management Standard Access
   * ads\_read
   * Ads\_management

   See the Facebook [documentation on Authorization](https://developers.facebook.com/docs/marketing-api/overview/authorization/#access-levels) to request Advanced Access to the relevant permissions.
5. Enter your access token on Acho.

## How to get Facebook Marketing Ad Account ID?

1. Go to [Ads Manager](https://www.facebook.com/adsmanager/manage/) and log into your account.
2. Your ad account ID number is shown above the search and filter bar, in the account dropdown menu.

![](/files/-MftbcrTkz2e2zgbxrz1)

## How to set up Data Sync?

Acho supports creating schedulers to retrieve the latest data from your Facebook Marketing account at a certain time interval. To see more details, you can visit [here](https://docs.acho.io/data-sync/untitled).&#x20;

## Available Tables

* [Activities](https://developers.facebook.com/docs/marketing-api/reference/ad-activity)
* [AdAccount](https://developers.facebook.com/docs/marketing-api/reference/ad-account)
* [AdCreatives](https://developers.facebook.com/docs/marketing-api/reference/ad-creative#fields)
* [AdSets](https://developers.facebook.com/docs/marketing-api/reference/ad-campaign#fields)
* [Ads](https://developers.facebook.com/docs/marketing-api/reference/adgroup#fields)
* [AdInsights](https://developers.facebook.com/docs/marketing-api/reference/adgroup/insights/)
* [Campaigns](https://developers.facebook.com/docs/marketing-api/reference/ad-campaign-group#fields)
* [Images](https://developers.facebook.com/docs/marketing-api/reference/ad-image)
* [Videos](https://developers.facebook.com/docs/marketing-api/reference/video)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acho.io/acho-studio/resources/import-data/facebook-marketing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
